Upgrading from 5.0.X to 5.1.0

Version 5.1.0 contains a few small changes that customers using the SDK should be aware of. No configuration- or database-related changes are required, so upgrading should be very easy.

SDK

The version of the Hibernate Validator Engine has been upgraded from 5.1.3.Final to 5.2.0.Final. This is a minor change and should not impact SDK developers unless the old version of the JAR file has been bundled with their plugin. In such a case, version 5.1.3.Final of the Hibernate Validator JAR file should be removed when upgrading. Otherwise, a version mismatch will cause the server not to start. For those using this provided dependency, however, extra attention should be paid to this during upgrade testing.